# benchmarks

## Web

Router tree with 203 routes (GitHub):

```
goos: linux
goarch: amd64
cpu: Intel(R) Core(TM) i7-8700 CPU @ 3.20GHz
BenchmarkAero/GitHub-12                 14560964                80.22 ns/op            0 B/op          0 allocs/op
BenchmarkBeego/GitHub-12                  656966              1656 ns/op             929 B/op          9 allocs/op
BenchmarkBone/GitHub-12                    86756             11830 ns/op            4705 B/op         67 allocs/op
BenchmarkChi/GitHub-12                   3274795               359.6 ns/op           336 B/op          2 allocs/op
BenchmarkEcho/GitHub-12                 10842609               108.1 ns/op             0 B/op          0 allocs/op
BenchmarkGin/GitHub-12                  11746930               108.2 ns/op             0 B/op          0 allocs/op
BenchmarkJSHR/GitHub-12                  9244504               123.1 ns/op            96 B/op          1 allocs/op
BenchmarkPat/GitHub-12                     20920             83830 ns/op          375238 B/op        235 allocs/op
BenchmarkWay/GitHub-12                    117394              9808 ns/op            4979 B/op        177 allocs/op
BenchmarkWeb/GitHub-12                 18967251                 62.96 ns/op            0 B/op          0 allocs/op
```

```
goos: darwin
goarch: amd64
cpu: Intel(R) Core(TM) i5-5257U CPU @ 2.70GHz
BenchmarkAero/GitHub-4                  13352727                92.37 ns/op            0 B/op          0 allocs/op
BenchmarkBeego/GitHub-4                   511820              2089 ns/op             929 B/op          9 allocs/op
BenchmarkBone/GitHub-4                     81193             14661 ns/op            4705 B/op         67 allocs/op
BenchmarkChi/GitHub-4                    2492223               481.9 ns/op           336 B/op          2 allocs/op
BenchmarkEcho/GitHub-4                   9469221               126.5 ns/op             0 B/op          0 allocs/op
BenchmarkGin/GitHub-4                   11333715               105.6 ns/op             0 B/op          0 allocs/op
BenchmarkJSHR/GitHub-4                   7400620               160.0 ns/op            96 B/op          1 allocs/op
BenchmarkPat/GitHub-4                      13444            109901 ns/op          248069 B/op        235 allocs/op
BenchmarkWay/GitHub-4                     100990             11921 ns/op            4979 B/op        177 allocs/op
BenchmarkWeb/GitHub-4                   15244411                76.21 ns/op            0 B/op          0 allocs/op
```